Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners
Class ScheduleListener

    java.lang.Object
      org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
          org.jboss.soa.esb.listeners.ScheduleListener

All Implemented Interfaces:
  java.io.Serializable, Initializable, ManagedLifecycle, ScheduledEventListener

    public class ScheduleListener

extends AbstractManagedLifecycle
implements ScheduledEventListener

ESB Schedule listener.

Author:
  tom.fennelly@jboss.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`PARAM_TERMINATION_PERIOD`

Constructor Summary
`ScheduleListener(ConfigTree config)` Construct the managed lifecycle.

Method Summary
`protected void` | `doDestroy()` Handle the destroy of the managed instance.
`protected void` | `doInitialise()` Handle the initialisation of the managed instance.
`protected void` | `doStart()` Handle the start of the managed instance.
`protected void` | `doStop()` Handle the stop of the managed instance.
`void` | `initialize(ConfigTree config)` Initialize.
`void` | `onSchedule()` On schedule event processor implementation.
`void` | `uninitialize()` Uninitialize.

Methods inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`addManagedLifecycleEventListener, changeState, destroy, getConfig, getState, getTerminationPeriod, initialise, removeManagedLifecycleEventListener, start, stop, waitUntilDestroyed, waitUntilDestroyed, waitUntilNotState, waitUntilState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleListener

    public ScheduleListener(ConfigTree config)
                     throws ConfigurationException

  Construct the managed lifecycle.

  Parameters:
    `config` - The configuration associated with this instance.
  Throws:
    `ConfigurationException` - for configuration errors during initialisation.

Method Detail

### onSchedule

    public void onSchedule()
                    throws SchedulingException

  On schedule event processor implementation.

  Specified by:
    `onSchedule` in interface `ScheduledEventListener`
  Throws:
    `SchedulingException` - Error processing scheduled event.

### doInitialise

    protected void doInitialise()
                         throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the initialisation of the managed instance.

  Specified by:
    `doInitialise` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while initialisation.

### initialize

    public void initialize(ConfigTree config)
                    throws ConfigurationException

  Description copied from interface: `Initializable`
  Initialize.

  Specified by:
    `initialize` in interface `Initializable`
  Parameters:
    `config` - The configuration.
  Throws:
    `ConfigurationException`

### uninitialize

    public void uninitialize()

  Description copied from interface: `Initializable`
  Uninitialize.

  Specified by:
    `uninitialize` in interface `Initializable`

### doStart

    protected void doStart()
                    throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the start of the managed instance.

  Specified by:
    `doStart` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while starting.

### doStop

    protected void doStop()
                   throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the stop of the managed instance.

  Specified by:
    `doStop` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while stopping.

### doDestroy

    protected void doDestroy()
                      throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the destroy of the managed instance.

  Specified by:
    `doDestroy` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while destroying.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD